|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QDesignerFormEditorPluginInterface Class Reference
[QtDesigner module]

The QDesignerFormEditorPluginInterface class provides an interface that is used to manage plugins for Qt Designer's form editor component. More...

    #include <QDesignerFormEditorPluginInterface>

- List of all members, including inherited members

### Public Functions

- virtual ~QDesignerFormEditorPluginInterface ()
- virtual QAction * action () const = 0
- virtual QDesignerFormEditorInterface * core () const = 0
- virtual void initialize ( QDesignerFormEditorInterface * core ) = 0
- virtual bool isInitialized () const = 0

## Detailed Description

The QDesignerFormEditorPluginInterface class provides an interface that is used to manage plugins for Qt Designer's form editor component.

See also QDesignerFormEditorInterface.

## Member Function Documentation

### QDesignerFormEditorPluginInterface::~QDesignerFormEditorPluginInterface () `[virtual]`

Destroys the plugin interface.

### QAction * QDesignerFormEditorPluginInterface::action () const `[pure virtual]`

Returns the action associated with this interface.

### QDesignerFormEditorInterface * QDesignerFormEditorPluginInterface::core () const `[pure virtual]`

Returns the core form editor interface associated with this component.

### void QDesignerFormEditorPluginInterface::initialize ( QDesignerFormEditorInterface * core ) `[pure virtual]`

Initializes the plugin interface for the specified core interface.

### bool QDesignerFormEditorPluginInterface::isInitialized () const `[pure virtual]`

Returns true if the plugin interface is initialized; otherwise returns false.